#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,m;
    cin >> n >> m;
    cout << n*m-((((n)/2)*((m)/2)+(((n-3)/2))*((m-3)/2))) << endl;
    return 0;
}